> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List external providers

> Get a paged list of external providers for an organisation



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/{organisationId}/external-providers
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/external-providers:
    get:
      tags:
        - External Provider
      summary: List external providers
      description: Get a paged list of external providers for an organisation
      operationId: ExternalProviderController_list
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 200
            default: 10
            example: 10
            type: number
        - name: q
          required: false
          in: query
          description: Search external providers by name or provider number
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/ExternalProvider'
                      page:
                        type: number
                        example: 1
                      limit:
                        type: number
                        example: 10
                      totalItems:
                        type: number
                        example: 100
                      totalPages:
                        type: number
                        example: 10
components:
  schemas:
    ApiResponse:
      type: object
      properties: {}
    ExternalProvider:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        providerNumber:
          type: string
        createdAt:
          format: date-time
          type: string
      description: >-
        An external provider is a provider that operates independently of the
        organisation e.g. a GP, a hospital, a nursing home, etc.
      required:
        - id
        - name
        - providerNumber
        - createdAt

````